
/**
 * Beschreiben Sie hier die Klasse AB_2_2.
 * 
 * @author (Ihr Name) 
 * @version (eine Versionsnummer oder ein Datum)
 */
public class AB_2_2
{
    /**
     * Berechnet die Summe
     * 
     * @param a     erste Zahl
     * @param b     zweite Zahl
     * @return      Summe aus a und b
     */
    public static int summe(int a, int b) {
        return a + b;
    }
    
    /**
     * überprüft, ob eine Zahl eine Primzahl ist
     * 
     * @param a     zu überprüfende Zahl
     * @return      Zahl ist Primzahl
     */
    public static boolean istPrim(int a) {
        for(int n = 2; n < Math.sqrt(a); n++) {
            if (a % n == 0) return false;
        }
        return true;
    }
    
    /**
     * sucht Primzahl-Doubletten
     * 
     * @param min   ab welcher Zahl soll gesucht werden
     */
    public static void primDoublette(int min) {
        if (min % 2 == 0) min++;
        while(!istPrim(min) || !istPrim(min+2)) {
            min += 2;
        }
        
        System.out.println(min + " und " + (min+2) + " gefunden!");
    }
    
    /**
     * gibt Pythagoräische Tripel auf der Konsole aus
     */
    public static void tripel() {
        for(int a = 1; a < 100; a++) {
            for(int b = a; b < 100; b++) {
                for(int c = b; c < 100; c++) {
                    if (a*a + b*b == c*c) {
                        System.out.println(a + "^2 + " + b + "^2 = " + c + "^2");
                    }
                }
            }
        }
    }
}
